FROM node:14-slim

WORKDIR /client-proxy/
COPY client-proxy .

ENV LOADTEST_URL=${LOADTEST_URL}
ENV CLIENT_PROXY_PORT=${CLIENT_PROXY_PORT}

EXPOSE ${CLIENT_PROXY_PORT}

RUN npm install

ENTRYPOINT npm run start